Package com.opensymphony.module.sitemesh.parser

# Class AbstractHTMLPage

java.lang.Object
com.opensymphony.module.sitemesh.parser.AbstractPage
com.opensymphony.module.sitemesh.parser.AbstractHTMLPage

All Implemented Interfaces:
  `HTMLPage`, `Page`

Direct Known Subclasses:
  `FastPage`, `TokenizedHTMLPage`

public abstract class AbstractHTMLPage extends AbstractPage implements HTMLPage
Abstract implementation of `HTMLPage`.

Adds to `AbstractPage` some HTML methods. To implement, follow guidelines of super-class, and implement the 2 abstract methods states below.

Version:
  $Revision: 1.5 $
Author:
  Joe Walnes
See Also:
  - `AbstractPage`
  - `HTMLPage`

## Field Summary

### Fields inherited from class com.opensymphony.module.sitemesh.parser.AbstractPage

`pageData`

## Constructor Summary

Constructors
Constructor
Description
`AbstractHTMLPage()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFrameSet()`
Check to see if this page contains an HTML frameset.
`void`
`setFrameSet(boolean frameset)`
Marks this page as a frameset.
`abstract void`
`writeHead(Writer out)`
Write data of html `<head>` tag.

### Methods inherited from class com.opensymphony.module.sitemesh.parser.AbstractPage

`addProperty, getBody, getBooleanProperty, getContentLength, getIntProperty, getLongProperty, getPage, getProperties, getProperty, getPropertyKeys, getRequest, getTitle, isPropertySet, noNull, setRequest, writeBody, writePage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.opensymphony.module.sitemesh.HTMLPage

`getHead`

### Methods inherited from interface com.opensymphony.module.sitemesh.Page

`addProperty, getBody, getBooleanProperty, getContentLength, getIntProperty, getLongProperty, getPage, getProperties, getProperty, getPropertyKeys, getRequest, getTitle, isPropertySet, setRequest, writeBody, writePage`

## Constructor Details

### AbstractHTMLPage

public AbstractHTMLPage()

## Method Details

### writeHead

public abstract void writeHead(Writer out) throws IOException
Write data of html `<head>` tag.

Must be implemented. Data written should not actually contain the head tags, but all the data in between.

Specified by:
  `writeHead` in interface `HTMLPage`
Throws:
  `IOException`

### isFrameSet

public boolean isFrameSet()
Description copied from interface: `HTMLPage`
Check to see if this page contains an HTML frameset.

Specified by:
  `isFrameSet` in interface `HTMLPage`

### setFrameSet

public void setFrameSet(boolean frameset)
Description copied from interface: `HTMLPage`
Marks this page as a frameset.

Specified by:
  `setFrameSet` in interface `HTMLPage`
See Also:
  - `HTMLPage.isFrameSet()`